KIcon Class Reference

`#include <kicontheme.h>`

## Public Types

enum | Context { Any, Action, Application, Device, FileSystem, MimeType, Animation, Category, Emblem, Emote, International, Place, StatusIcon }
enum | Type { Fixed, Scalable, Threshold }
enum | MatchType { MatchExact, MatchBest }
enum | Group { NoGroup =-1, Desktop =0, FirstGroup =0, Toolbar, MainToolbar, Small, Panel, LastGroup, User }
enum | StdSizes { SizeSmall =16, SizeSmallMedium =22, SizeMedium =32, SizeLarge =48, SizeHuge =64, SizeEnormous =128 }
enum | States { DefaultState, ActiveState, DisabledState, LastState }
enum | Overlays { LockOverlay =0x100, ZipOverlay =0x200, LinkOverlay =0x400, HiddenOverlay =0x800, ShareOverlay =0x1000, OverlayMask = ~0xff }

## Public Member Functions

bool | isValid () const

## Public Attributes

int | size
Context | context
Type | type
int | threshold
QString | path

## Detailed Description

One icon as found by KIconTheme.

Also serves as a namespace containing icon related constants.

See also
  KIconEffect
  KIconTheme
  KIconLoader

Definition at line 35 of file kicontheme.h.

## Member Enumeration Documentation

enum KIcon::Context

Defines the context of the icon.

Enumerator
Any | Some icon with unknown purpose.
Action | An action icon (e.g. 'save', 'print').
Application | An icon that represents an application.
Device | An icon that represents a device.
FileSystem | An icon that represents a file system.
MimeType | An icon that represents a mime type (or file type).
Animation | An icon that is animated.
Category | An icon that represents a category.
Emblem | An icon that adds information to an existing icon.
Emote | An icon that expresses an emotion.
International | An icon that represents a country's flag.
Place | An icon that represents a location (e.g. 'home', 'trash').
StatusIcon | An icon that represents an event.

Definition at line 48 of file kicontheme.h.

enum KIcon::Group

The group of the icon.

Enumerator
NoGroup | No group.
Desktop | Desktop icons.
FirstGroup | First group.
Toolbar | Toolbar icons.
MainToolbar | Main toolbar icons.
Small | Small icons.
Panel | Panel (Kicker) icons.
LastGroup | Last group.
User | User icons.

Definition at line 87 of file kicontheme.h.

enum KIcon::MatchType

The type of a match.

Enumerator
MatchExact | Only try to find an exact match.
MatchBest | Take the best match if there is no exact match.

Definition at line 76 of file kicontheme.h.

enum KIcon::Overlays

This defines an overlay, a semi-transparent image that is projected onto the icon.

They are used to show that the file represented by the icon is, for example, locked, zipped or hidden.

Enumerator
LockOverlay | a file is locked
ZipOverlay | a file is zipped
LinkOverlay | a file is a link
HiddenOverlay | a file is hidden
ShareOverlay | a file is shared

Definition at line 140 of file kicontheme.h.

enum KIcon::States

Defines the possible states of an icon.

Enumerator
DefaultState | The default state.
ActiveState | Icon is active.
DisabledState | Icon is disabled.
LastState | Last state (last constant)

Definition at line 129 of file kicontheme.h.

enum KIcon::StdSizes

These are the standard sizes for icons.

Enumerator
SizeSmall | small icons for menu entries
SizeSmallMedium | slightly larger small icons for toolbars, panels, etc
SizeMedium | medium sized icons for the desktop
SizeLarge | large sized icons for the panel
SizeHuge | huge sized icons for iconviews
SizeEnormous | enormous sized icons for iconviews

Definition at line 111 of file kicontheme.h.

enum KIcon::Type

The type of the icon.

Enumerator
Fixed | Fixed-size icon.
Scalable | Scalable-size icon.
Threshold | A threshold icon.

Definition at line 67 of file kicontheme.h.

## Member Function Documentation

bool KIcon::isValid | ( |  | ) | const

inline

Return true if this icon is valid, false otherwise.

Definition at line 43 of file kicontheme.h.

## Member Data Documentation

Context KIcon::context

The context of the icon.

Definition at line 157 of file kicontheme.h.

QString KIcon::path

The full path of the icon.

Definition at line 172 of file kicontheme.h.

int KIcon::size

The size in pixels of the icon.

Definition at line 152 of file kicontheme.h.

int KIcon::threshold

The threshold in case type == Threshold.

Definition at line 167 of file kicontheme.h.

Type KIcon::type

The type of the icon: Fixed, Scalable or Threshold.

Definition at line 162 of file kicontheme.h.

The documentation for this class was generated from the following file:

- kicontheme.h

KDE Home | KDE Accessibility Home | Description of Access Keys